=== doc/talks2/Makefile ===
all:
	pdflatex sfoodpres.tex

clean:
	rm -f *.log *.nav *.toc *.vrb *.snm *.aux *.bbl *.blg *.out *~
