=== rtai-lab/scilab/macros/RTAI/Makefile ===
SHELL = /bin/sh

SCIDIR=../..

include ../../Makefile.incl

.SUFFIXES: .sci .bin $(SUFFIXES)

NAME = rtailib
NAM = SCI/macros/RTAI

MACROS= rtai_sinus.sci \
	rtai_square.sci \
	rtai_step.sci \
	rtai_scope.sci \
	rtai_led.sci \
	rtai_meter.sci \
	rtai_comedi_datain.sci \
	rtai_comedi_dataout.sci \
	rtai_comedi_dioin.sci \
	rtai_comedi_dioout.sci \
	rtai_mbx_ovrwr_send.sci \
	rtai_mbx_send_if.sci \
	rtai_mbx_rcv_if.sci \
	rtai_mbx_rcv.sci \
	rtai_extdata.sci \
	rtai_fifo.sci \
	rtai_sem_signal.sci \
	rtai_sem_wait.sci \
	RTAICodeGen_.sci \
	SetTarget_.sci \
	C_RTAI_BLK.sci \
	rtai_generic_inp.sci \
	rtai_generic_out.sci

include ../Make.lib
